# CreateNexusParameters

Add parameters to a nexus.

`POST /api/v2/companies/{companyId}/nexus/{nexusId}/parameters`

**API:** AvaTax API
**Tag:** Nexus
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Nexus/CreateNexusParameters/

## Description

Add parameters to the nexus.
Some tax calculation and reporting are different depending on the properties of the nexus, such as isRemoteSeller. In AvaTax, these tax-affecting properties are called "parameters".
            
A parameter added to a nexus will be used by default in tax calculation but will not show on the transaction line referencing the nexus.
            
A parameter specified on a transaction line will override a nexus parameter if they share the same parameter name.
            
To see available parameters for this item, call `/api/v2/definitions/parameters?$filter=attributeType eq Nexus`
            
Some parameters are only available for use if you have subscribed to specific AvaTax services. To see which parameters you are able to use, add the query parameter "$showSubscribed=true" to the parameter definition call above.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AvaTaxOnlyAccountAdmin, AvaTaxOnlyCompanyAdmin, BatchServiceAdmin, CompanyAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyCompanyAdmin, SSTAdmin, TechnicalSupportAdmin.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The ID of the company that owns this nexus parameter. |
| `nexusId` | integer | path | Yes | The nexus id. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Schema:** `NexusParameterDetailModel[]`

Represents a parameter associated with a nexus.

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | The id of the parameter. Example: `0`. |
| `name` | string | **Yes** | The parameter's name. Example: `IsRemoteSeller`. |
| `value` | string | **Yes** | The value for the parameter. Example: `true`. |
| `unit` | string | No | The unit of measurement code for the parameter. |
| `nexusId` | integer | No | The nexus id |

## Responses

| Status | Description | Schema |
|---|---|---|
| 201 | Created |  |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

## Example Request

```bash
curl -X POST "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/nexus/{nexusId}/parameters" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '[
  {
    "id": 0,
    "name": "IsRemoteSeller",
    "value": "true"
  }
]'
```